Bug 9613 - Autofs rc script has behaves poorly in an NIS environment.
Autofs rc script has behaves poorly in an NIS environment.
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2000-02-20 16:37 EST by lars
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-21 16:35:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lars 2000-02-20 16:37:49 EST
The autofs script distributed with RedHat (including 6.0, 6.1, and the
6.2betas) performas poorly in an NIS environment.

The script, as written, will parse ONLY the local /etc/auto.master if it
exists, and will ignore any auto.master in the NIS domain.  This is
counterintuitive, since the RedHat installer allows one to set up an NIS
client without a lot of fuss.

The result is a client system that has access to the NIS password map but
is unable to mount user home directories without administrator

One solution is the following simple patch, which simply changes the
autofs rc logic to parse BOTH a local auto.master and a NIS auto.master

--- autofs      Sun Feb 20 16:36:25 2000
+++ autofs.fixed        Sun Feb 20 16:37:18 2000
@@ -95,3 +95,4 @@

@@ -121,3 +122,3 @@

This will generally work as expected in an NIS environment.  A better
solution might be to fix the autofs script so that it understands the
"+mapname" format used under SunOS which allows one to include specific
NIS maps from the local auto.master.  For example, the default
/etc/auto.master might look something like this:

  /misc    /etc/auto.misc   --timeout 60

And allows considerably more flexibility than the patch included above.

I have written a version of the autofs rc script that handles this syntax
and will submit it if there is interest.
Comment 1 Cristian Gafton 2000-02-21 16:35:59 EST
A lot the feedback that we have gotten tells us that thsi is counter intuitive.
See bug #6208. A lot of people feel differently about this and there is no
simple way to satuisfy them all short of reqorking the whole rc script from
scratch. And we try to stay as close as possible to the original sources so that
our behavior (no matter how broken some might think it is) resembles the one on
other Linux distros.

Note You need to log in before you can comment on or make changes to this bug.